Bug 35645 - Installed components are not transferred with HEAD command
Installed components are not transferred with HEAD command
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: Update - univention-updater
UCS 3.2
Other Linux
: P5 normal (vote)
: UCS 3.2-3-errata
Assigned To: Stefan Gohmann
Janek Walkenhorst
:
Depends on:
Blocks: 35646
  Show dependency treegraph
 
Reported: 2014-08-20 06:18 CEST by Stefan Gohmann
Modified: 2014-09-10 17:39 CEST (History)
0 users

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2014-08-20 06:18:39 CEST
With Bug #33807 the user agent string was extended with the installed components. This works for the GET command but not for the HEAD command which is used in the updater methods. See _get_user_agent_string in modules/univention/updater/tools.py.
Comment 1 Stefan Gohmann univentionstaff 2014-09-01 07:47:42 CEST
Fixed: r53175
YAML: r53176

For QA: set this variables and see access.log:
ucr set repository/online/component/test1/server=$(hostname -f)
ucr set repository/online/component/test1=yes
Comment 2 Stefan Gohmann univentionstaff 2014-09-01 07:53:10 CEST
Merged to UCS 4: r53178
Comment 3 Janek Walkenhorst univentionstaff 2014-09-09 11:29:10 CEST
Advisory: OK
HEAD now transfers component status: OK
Code review: OK
Merge: OK
Comment 4 Janek Walkenhorst univentionstaff 2014-09-10 17:39:28 CEST
http://errata.univention.de/ucs/3.2/196.html